Bug 1231859 - [RFE] notify user that KSM will not be enable till next time hypervisor enters maintenance mode
Summary: [RFE] notify user that KSM will not be enable till next time hypervisor enter...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Phillip Bailey
QA Contact: Liran Rotenberg
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 13:54 UTC by Paul Dwyer
Modified: 2019-07-11 09:23 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 17:36:24 UTC
oVirt Team: SLA
Target Upstream Version:
mavital: testing_plan_complete+


Attachments (Terms of Use)
The optimization dialog this bug is talking about (46.46 KB, image/png)
2016-12-08 09:55 UTC, Martin Sivák
no flags Details
delta icon (45.14 KB, image/jpeg)
2016-12-08 10:20 UTC, Eldan Hildesheim
no flags Details
host grid with delta icon on one of the host (120.75 KB, image/jpeg)
2016-12-08 15:19 UTC, Eldan Hildesheim
no flags Details
host dialogue (88.01 KB, image/jpeg)
2016-12-08 16:14 UTC, Eldan Hildesheim
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:38:04 UTC
oVirt gerrit 81055 0 master POST webadmin: Create alert with icon widget 2017-08-28 21:19:09 UTC
oVirt gerrit 81056 0 master POST webadmin: Add info to host options in Cluster dialog 2017-08-28 19:07:16 UTC

Description Paul Dwyer 2015-06-15 13:54:20 UTC
Warn user when enabling KSM (Cluster -->Edit --> Optimization --> Enable KSM) that this will be enable till hypervisor next enters/leaves maintenance mode, iform them that they can enable immediately with Sync MOM Policy option for the host.

Comment 3 Martin Sivák 2016-12-08 09:55:45 UTC
Created attachment 1229427 [details]
The optimization dialog this bug is talking about

The dialog can be confusing indeed as the upper half (Memory optimization, CPU threads) has immediate effect as it affects the engine side of the scheduling.

The lower half (Memory balloon, KSM control) is changing host level behaviour and is only applied during host allocation (either when activated for the first time or when leaving maintenance mode).

The easy thing we can do here is to somehow describe the lower half of the dialog as being host level with delayed effect. This is mostly UI usability issue and I will ask the designers to figure something nice out.

Comment 4 Eldan Hildesheim 2016-12-08 10:18:24 UTC
We have the terminology of a "Delta icon" that means:
The current entity state is different from the configuration one.
You can add a custom tooltip: "...will apply in next maintenance..."
I would add this remark to the dialogue as well and not only as a notification.
Attached is a screen capture from a VM configuration.

Comment 5 Eldan Hildesheim 2016-12-08 10:20:00 UTC
Created attachment 1229434 [details]
delta icon

Comment 6 Martin Sivák 2016-12-08 13:15:46 UTC
Eldat, I am aware of the delta icon, but we do not use it for hosts at all. So this would be the first usage in this area. Also the current host management code does not have any infrastructure for this yet.

The remark is exactly what we are after. But it only applies to the lower half of the dialog.

Comment 7 Eldan Hildesheim 2016-12-08 15:18:14 UTC
A remark in the bottom tab is a "nice to have" but more important is the upper part.
A user won't have any clue when watching the main Host grid, that one of his Host is in an unsync state.

Comment 8 Eldan Hildesheim 2016-12-08 15:19:20 UTC
Created attachment 1229517 [details]
host grid with delta icon on one of the host

Comment 10 Eldan Hildesheim 2016-12-08 16:14:44 UTC
Created attachment 1229535 [details]
host dialogue

I hope I understood you well.
If so, the text in brackets will be enough.
Also would be nice to add an option to switch the host to maintenance mode.
(See attachment)

Comment 11 Martin Sivák 2016-12-09 10:35:27 UTC
Well.. it is enough, but it is ugly and does not separate the two sections. We can have something nicer if the current infrastructure supports that (more space between the two halves, an asterisk or small icon and an explanation on the bottom.. something like that).

Comment 12 Eldan Hildesheim 2016-12-13 10:21:40 UTC
your proposition is taken from old hard copy technique. 
Today, you write down in brackets the remarks regarding each issue, why should the user jumps to a remark written down the page and then again jump back to the issue?
Use my proposition and in case you really care about the user - add the checkbox I added in the last screen shot: "switch host to maintenance mode".

Comment 13 Yaniv Lavi 2016-12-14 16:20:24 UTC
This bug had requires_doc_text flag, yet no documentation text was provided. Please add the documentation text and only then set this flag.

Comment 14 Martin Sivák 2017-08-07 10:59:36 UTC
Lets quickly update the dialog by adding the text description, we do not have capacity for anything fancy like the delta icon.

Comment 17 Liran Rotenberg 2017-12-13 12:43:38 UTC
Verified on:
4.2.0.2-0.1.el7

Steps of verification:
1. Enter to the Cluster edit menu.
2. Choose optimization tab.

Result:
A massage is shown in a information box above the KSM/Balloon options which says:
"Changes made in this section will not take effect until the host is activated for the first time, enters and exits maintenance mode, or the MOM policy is manually synced."

This massage is strictly on the above options and not on the Memory Optimization/CPU Threads options.

Comment 19 Ilanit Stein 2018-04-30 14:58:50 UTC
Moving the need info to lrotenbe, who verified this bug.
I guess he will know better whether documentation or this bug is missing.

Comment 20 Liran Rotenberg 2018-05-01 10:33:54 UTC
In my opinion documentation isn't needed. This bug adds a UI warning to an existing feature.

I'm passing needinfo to dev and pm to give you the final answer.

Comment 24 errata-xmlrpc 2018-05-15 17:36:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 25 Franta Kust 2019-05-16 13:03:30 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.